Package com.xebialabs.xlrelease.plugins.dashboard.domain

## Class Dashboard

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.ReleaseExtension
    - - com.xebialabs.xlrelease.plugins.dashboard.domain.Dashboard

- All Implemented Interfaces:
    `ConfigurationItem`, `CiWithInternalMetadata`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false,
                description="A dashboard with tiles displayed in XL Release UI")
      public class Dashboard
      extends ReleaseExtension
      implements CiWithInternalMetadata

  A dashboard with tiles displayed in XL Release UI.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DASHBOARD_PREFIX` |
    `static java.lang.String` | `GLOBAL_PARENT_ID` |
    `static java.lang.String` | `HOME_DASHBOARD_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dashboard()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(ReleaseVisitor visitor)` |
    `java.util.Map<java.lang.String,​InternalMetadata>` | `get$metadata()` |
    `boolean` | `getAutoRefresh()` |
    `java.lang.Integer` | `getAutoRefreshInterval()` |
    `java.lang.Integer` | `getColumns()` |
    `java.lang.String` | `getConfigurationUri()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.Integer` | `getMaxTiles()` |
    `java.lang.String` | `getOwner()` |
    `java.lang.String` | `getParentId()` |
    `java.util.List<java.lang.String>` | `getRoleEditors()` |
    `java.util.List<java.lang.String>` | `getRoleViewers()` |
    `java.lang.Integer` | `getRows()` |
    `java.lang.String` | `getScriptLocation()` |
    `java.lang.String` | `getTemplateLocation()` |
    `Tile` | `getTile​(java.lang.String tileId)` |
    `java.util.List<Tile>` | `getTiles()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `hasConfigurationScript()` |
    `boolean` | `hasOwner()` |
    `boolean` | `isFolderDashboard()` |
    `boolean` | `isGlobalDashboard()` |
    `boolean` | `isHomeDashboard()` |
    `boolean` | `isReleaseDashboard()` |
    `boolean` | `isSupportedOn​(TileScope scope)` |
    `void` | `setAutoRefresh​(boolean autoRefresh)` |
    `void` | `setAutoRefreshInterval​(java.lang.Integer autoRefreshInterval)` |
    `void` | `setColumns​(java.lang.Integer columns)` |
    `void` | `setConfigurationUri​(java.lang.String configurationUri)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setMaxTiles​(java.lang.Integer maxTiles)` |
    `void` | `setOwner​(java.lang.String owner)` |
    `void` | `setParentId​(java.lang.String parentId)` |
    `void` | `setRoleEditors​(java.util.List<java.lang.String> roleEditors)` |
    `void` | `setRoleViewers​(java.util.List<java.lang.String> roleViewers)` |
    `void` | `setScriptLocation​(java.lang.String scriptLocation)` |
    `void` | `setTemplateLocation​(java.lang.String templateLocation)` |
    `void` | `setTiles​(java.util.List<Tile> tiles)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

      `getVariableUsages`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setProperty`

- - ### Field Detail

    - #### GLOBAL_PARENT_ID

          public static final java.lang.String GLOBAL_PARENT_ID

    - #### DASHBOARD_PREFIX

          public static final java.lang.String DASHBOARD_PREFIX

      See Also:
        Constant Field Values

    - #### HOME_DASHBOARD_ID

          public static final java.lang.String HOME_DASHBOARD_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dashboard

          public Dashboard()

  - ### Method Detail

    - #### setId

          public void setId​(java.lang.String id)

      Specified by:
        `setId` in interface `ConfigurationItem`
      Overrides:
        `setId` in class `BaseConfigurationItem`

    - #### isSupportedOn

          public boolean isSupportedOn​(TileScope scope)

    - #### hasOwner

          public boolean hasOwner()

    - #### getTile

          public Tile getTile​(java.lang.String tileId)

    - #### hasConfigurationScript

          public boolean hasConfigurationScript()

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId​(java.lang.String parentId)

    - #### getOwner

          public java.lang.String getOwner()

    - #### setOwner

          public void setOwner​(java.lang.String owner)

    - #### getTiles

          public java.util.List<Tile> getTiles()

    - #### setTiles

          public void setTiles​(java.util.List<Tile> tiles)

    - #### getRoleViewers

          public java.util.List<java.lang.String> getRoleViewers()

    - #### setRoleViewers

          public void setRoleViewers​(java.util.List<java.lang.String> roleViewers)

    - #### getRoleEditors

          public java.util.List<java.lang.String> getRoleEditors()

    - #### setRoleEditors

          public void setRoleEditors​(java.util.List<java.lang.String> roleEditors)

    - #### accept

          public void accept​(ReleaseVisitor visitor)

      Specified by:
        `accept` in interface `VisitableItem`
      Overrides:
        `accept` in class `ReleaseExtension`

    - #### get$metadata

          public java.util.Map<java.lang.String,​InternalMetadata> get$metadata()

      Specified by:
        `get$metadata` in interface `CiWithInternalMetadata`

    - #### isReleaseDashboard

          public boolean isReleaseDashboard()

    - #### isFolderDashboard

          public boolean isFolderDashboard()

    - #### isGlobalDashboard

          public boolean isGlobalDashboard()

    - #### isHomeDashboard

          public boolean isHomeDashboard()

    - #### getRows

          public java.lang.Integer getRows()

    - #### getColumns

          public java.lang.Integer getColumns()

    - #### setColumns

          public void setColumns​(java.lang.Integer columns)

    - #### getConfigurationUri

          public java.lang.String getConfigurationUri()

    - #### setConfigurationUri

          public void setConfigurationUri​(java.lang.String configurationUri)

    - #### getScriptLocation

          public java.lang.String getScriptLocation()

    - #### setScriptLocation

          public void setScriptLocation​(java.lang.String scriptLocation)

    - #### getTemplateLocation

          public java.lang.String getTemplateLocation()

    - #### setTemplateLocation

          public void setTemplateLocation​(java.lang.String templateLocation)

    - #### getAutoRefresh

          public boolean getAutoRefresh()

    - #### setAutoRefresh

          public void setAutoRefresh​(boolean autoRefresh)

    - #### getAutoRefreshInterval

          public java.lang.Integer getAutoRefreshInterval()

    - #### setAutoRefreshInterval

          public void setAutoRefreshInterval​(java.lang.Integer autoRefreshInterval)

    - #### getMaxTiles

          public java.lang.Integer getMaxTiles()

    - #### setMaxTiles

          public void setMaxTiles​(java.lang.Integer maxTiles)